OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TDataStd

# TDataStd_DataMapNodeOfDataMapOfStringByte Class Reference

`#include <TDataStd_DataMapNodeOfDataMapOfStringByte.hxx>`

## Public Member Functions
| TDataStd_DataMapNodeOfDataMapOfStringByte (const TCollection_ExtendedString &K, const Standard_Byte &I, const TCollection_MapNodePtr &n)
TCollection_ExtendedString & | Key () const
Standard_Byte & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
TCollection_ExtendedString | myKey
Standard_Byte | myValue

## Constructor & Destructor Documentation

TDataStd_DataMapNodeOfDataMapOfStringByte::TDataStd_DataMapNodeOfDataMapOfStringByte | ( | const TCollection_ExtendedString & | K,
|  | const Standard_Byte & | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const TDataStd_DataMapNodeOfDataMapOfStringByte::Handle | ( | Standard_Type |  | ) | const

TCollection_ExtendedString& TDataStd_DataMapNodeOfDataMapOfStringByte::Key | ( |  | ) | const

Standard_Byte& TDataStd_DataMapNodeOfDataMapOfStringByte::Value | ( |  | ) | const

## Field Documentation

TCollection_ExtendedString TDataStd_DataMapNodeOfDataMapOfStringByte::myKey`[private]`

Standard_Byte TDataStd_DataMapNodeOfDataMapOfStringByte::myValue`[private]`

The documentation for this class was generated from the following file:

- TDataStd_DataMapNodeOfDataMapOfStringByte.hxx